<?php

namespace v1\models;

use app\models\Incidente as ModeloIncidente;

class Incidente extends ModeloIncidente {
 
  public function fields() {
    return [
      'id',
      'nombre',
      'fechaIncidente',
      'idObra',
      'descripcion',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'empleados',
        'obra',
    ];
}

  public function getObra()
  {
      return $this->hasOne(Obra::class, ['id' => 'idObra']);
  }

  public function getEmpleado()
  {
      return $this->hasMany(Empleado::class, ['id' => 'idEmpleado'])->viaTable("incidenteEmpleado",['idIncidente'=>'id']) ;
  }

}